For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • GETGet the list of blocked or unsubscribed transactional contacts
      • DELUnblock or resubscribe a transactional contact
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIBlocked email recipients

Unblock or resubscribe a transactional contact

DELETE
https://api.brevo.com/v3/smtp/blockedContacts/:email
DELETE
/v3/smtp/blockedContacts/:email
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.unblockOrResubscribeATransactionalContact("email");
8}
9main();

Unblock or resubscribe a transactional contact by removing their email address from the blacklist. The email address must be URL-encoded in the path parameter and must be a valid email format. If the contact is not found in the blocklist, a 404 error is returned.

Was this page helpful?
Previous

Add a new domain to the list of blocked domains

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

emailstringRequired

contact email (urlencoded) to unblock.

Response

Contact unblocked

Errors

400
Bad Request Error
404
Not Found Error